FROM keymetrics/pm2:10-alpine

RUN apk update && apk apk upgrade && \
apk add --no-cache \
bash \
git \
curl \
openssh

MAINTAINER mandala-deli

RUN mkdir -p /usr/src/telkomsel
WORKDIR /usr/src/telkomsel

COPY package*.json ./
RUN npm cache clean --force
RUN npm install
COPY . .


EXPOSE 3000

CMD [ "pm2-runtime", "start", "pm2.json", "--env","production"]